Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.security
Class IsoSecureChannelCredential

    java.lang.Object
      de.cardcontact.opencard.security.IsoSecureChannelCredential

All Implemented Interfaces:
  SecureChannelCredential, Credential

    public class IsoSecureChannelCredential

extends java.lang.Object
implements SecureChannelCredential

Class to encode a secure channel credential, which combines a secure channel object with a usage qualifier. Secure channel credentials can be added to an IsoCredentialStore, linking them with a a file object on the card and a file access mode.

Author:
  Andreas Schwier (info@cardcontact.de)

Field Summary
`protected SecureChannel` | `sc`
`protected int` | `usageQualifier`

Constructor Summary
`IsoSecureChannelCredential(int usageQualifier, SecureChannel sc)` Create a secure channel credential object

Method Summary
`SecureChannel` | `getSecureChannel()` Getter for secure channel object
`int` | `getUsageQualifier()` Getter for usageQualifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sc

    protected SecureChannel sc

### usageQualifier

    protected int usageQualifier

Constructor Detail

### IsoSecureChannelCredential

    public IsoSecureChannelCredential(int usageQualifier,
                                      SecureChannel sc)

  Create a secure channel credential object

  Parameters:
    `usageQualifier` - Usage qualifier for use of secure channel. Must be a bitmap combination of SecureChannel.CPRO, SecureChannel.CENC, SecureChannel.RPRO and SecureChannel.RENC.
    `sc` - Secure channel object

Method Detail

### getSecureChannel

    public SecureChannel getSecureChannel()

  Getter for secure channel object

  Specified by:
    `getSecureChannel` in interface `SecureChannelCredential`
  Returns:
    secure channel object

### getUsageQualifier

    public int getUsageQualifier()

  Getter for usageQualifier

  Specified by:
    `getUsageQualifier` in interface `SecureChannelCredential`
  Returns:
    usage qualifier

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD